Subject: Re: bug#4993: 23.1; rmailmm.el mime decode crashes emacs

From: Glenn Morris <[email-masked]>
Date: Sat, 21 Nov 2009 14:10:42 -0500

Walter Neumann wrote:

> Opening the mail file available at
> http://math.columbia.edu/~neumann/bug with rmail and typing "v" to
> view the message using rmail-mime crashes emacs: emacs starts using
> 100% cpu and becomes unresponsive. Tested on two systems, with and
> without init files loaded.
[...]
> In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
>  of 2009-09-29 on x86-7.fedora.phx.redhat.com

I can't reproduce a "crash" in either 23.1 or the CVS trunk.
23.1 decodes the message in a reasonable time, but slightly incorrectly.
The trunk decodes it correctly, but very slowly (it can be interrupted
any time with C-g). Is this what you meant? If so, it is fixed now.